# RightToLeft

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies a value indicating whether the control's elements are aligned right-to-left to support right-to-left languages.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum RightToLeft : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum RightToLeft As [Enum]
```

{% endtab %}
{% endtabs %}

Use [RightToLeft](/api/wisej.web/general/application.md#righttoleft) to determine whether the current culture uses a right-to-left language.

## Fields

| Name        | Description                                                                                                                                                                                             |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Inherit** | The value is inherited from the parent control. If the control is a top level container, the value is set automatically according to the current culture and the "rightToLeft" setting in Default.json. |
| **No**      | The control is aligned from left to right. This is the default.                                                                                                                                         |
| **Yes**     | The control is aligned from right to left.                                                                                                                                                              |

## Used By

| Name                                                                                                                                                          | Description                                                                                                                      |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| [Control.RightToLeft](/api/wisej.web/general/control.md#righttoleft)                                                                                          | Returns or sets whether the control's elements are aligned right-to-left to support RTL languages.                               |
| [MessageBox.Show](/api/wisej.web/notifications/messagebox.md#show-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft-onclose)   | Displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button.                |
| [MessageBox.ShowAsync](/api/wisej.web/notifications/messagebox.md#showasync-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft) | Asynchronously displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button. |
| [ContextMenu.RightToLeft](/api/wisej.web/menus/wisej.web.contextmenu.md#righttoleft)                                                                          | Returns or sets whether the text displayed by the control is displayed from right to left.                                       |
| [MainMenu.RightToLeft](/api/wisej.web/menus/wisej.web.mainmenu.md#righttoleft)                                                                                | Returns or sets whether the text displayed by the control is displayed from right to left.                                       |
| [ControlExtensions.RightToLeft](/api/wisej.web.markup/extensions/wisej.web.markup.controlextensions.md#righttoleft-control-rtl)                               | Sets the RightToLeft property for the specified control, determining the direction of text and layout.                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.righttoleft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
